Query
Executes a PromQL query and returns the result.
The PromQL query for execution.
jvm_gc_collection_seconds_count{service="server"}
Source Id against which we need to query data for, like VC Instance UUID, NSX Id etc.
Evaluation timestamp in Unix epoch seconds or RFC3339 format. The current server time is used if the time parameter is unset.
1739780198
Evaluation timeout in duration.
1s
Maximum number of returned series. Doesn't affect scalars or strings but truncates the number of series for matrices and vectors. If not set, default limit is applied.
100
Additionally passed tag filters which are needed to be applied on provided promql in request.
OK.
{
"status": "string",
"data": {},
"pageInfo": {
"nextPageToken": "eyJuYW1lIjoiY3B1LnVzYWdlIiwidGltZXN0YW1wIjoxNjAwMDAwMDAwfQ==",
"pageSize": 50
},
"errorType": "string",
"error": "string",
"warnings": [
"string"
],
"infos": [
"string"
]
}
API execution status.
Loose object reference for circumventing OpenAPI Generator's oneOf() problem for client SDK
Pagination metadata for paginated responses.
Type of an error. This field is set only if status is "error". The data field may still hold additional data.
Error while querying to the metrics. This field is set only if status is "error". The data field may still hold additional data.
Warnings generated during API execution. This field is set only if there were warnings while executing the request. The data field will still hold additional data.
Info generated during API execution. This field is set only if there were info-level messages while executing the request.
Bad request.
Unauthorized.
Forbidden.
Unprocessable Entity.
Service Unavailable.
curl -H 'Authorization: <value>' https://{api_host}/api/v1/query?query=v